#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# papers_by_year.py
#
# Copyright (C) 2010 Gregorio Robles <grex@gsyc.urjc.es>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sqlite3
import os

conn = sqlite3.connect('msr.db')
c = conn.cursor()

f = open('papers_by_year.data', 'w')
dict = {}
yearList = range(2004, 2010)
lengthList = ['Short', 'Long']

# Setting dict to zero
for year in yearList:
    for length in lengthList:
        dict[(year, length)] = 0

query = 'SELECT year, length, COUNT(*) FROM msr GROUP BY length, year ORDER BY year;'

c.execute(query)
for row in c:
    dict[(row[0], row[1])] = row[2]

for year in yearList:
    f.write(str(year) + '\t')
    for length in lengthList:
        f.write(str(dict[(year, length)]) + '\t')
    f.write('\n')
f.close()

os.system('ploticus -eps -prefab stack data=papers_by_year.data yrange=0 delim=tab x=1 y=2 y2=3 xlbl="MSR Conf" name="Short" name2="Long" -o papers_by_year.eps')

