#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# papers_by_year.py
#
# Copyright (C) 2010 Gregorio Robles <grex@gsyc.urjc.es>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sqlite3
import os

conn = sqlite3.connect('msr.db')
c = conn.cursor()

dict = {}
sourceList = ['Public_data', 'Working_dataset', 'Tools_scripts']
colorDict = {
    'Y': 'green',
    'P': 'orange',
    'N': 'red'
    }

# Setting dict to zero
for source in sourceList:
    f = open(source + '_pie.data', 'w')

    query = 'SELECT ' + source + '_short,  COUNT(*) FROM msr GROUP BY ' + source + '_short;'

    c.execute(query)
    for row in c:
        if row[0] != '':
            f.write(str(row[0]) + '\t' + str(row[1]) + '\t' + colorDict[row[0]] + '\n')
    f.close()

    os.system('ploticus -eps -prefab pie values=2  labels=1  colorfld=3 data=' + source + '_pie.data -o ' + source + '_pie.eps')

