#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# stats_by_paper.py
#
# Copyright (C) 2010 Gregorio Robles <grex@gsyc.urjc.es>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sqlite3
import os

conn = sqlite3.connect('msr.db')
c = conn.cursor()

dict = {}
sourceList = ['Public_data', 'Working_dataset', 'Tools_scripts']
colorList = ['Y', 'P', 'N']


query = 'select Public_data_short, Working_dataset_short, Tools_scripts_short from msr order by Public_data_short;'

c.execute(query)
for row in c:
    try:
        dict[row] += 1
    except KeyError:
        dict[row] = 1

print "\\begin{table}[t]"
print "  \\centering"
print "   \\begin{tabular}{ccccc} \\hline"
print "   \\hline"
print " PRD & WDS & T\&S & \\# Papers & \% Papers \\\\ \\hline "

for color1 in colorList:
    for color2 in colorList:
        for color3 in colorList:
            try:
                count = dict[(color1, color2, color3)]
                print '    ', color1, '&', color2, '&', color3, '&', count, '&', str(round(int(count)*100.0/171,1))+'\%' , '\\\\'
            except KeyError:
#                print '    ', color1, '&', color2, '&', color3, '&', 0, '0\%'  '\\\\'
                pass
print '    N/A & N/A & N/A & ', dict[('', '', '')], '&', str(round(int(dict[('', '', '')])*100.0/171,1))+'\%', '\\\\'

print "  \\end{tabular}"
print "  \\caption{Statistics of availability of public data, working dataset and tools and scripts by number of papers. PRD stands for 'Public Raw Data', WDS for 'Working dataset' and T\&S for 'Tools and Scripts'}"
print "  \\label{tab:statsByNumberOfPapers}"
print "\\end{table}"
