#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# papers_by_year.py
#
# Copyright (C) 2010 Gregorio Robles <grex@gsyc.urjc.es>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sqlite3

conn = sqlite3.connect('msr.db')
c = conn.cursor()

query = 'SELECT source, COUNT(*) AS count FROM tools GROUP BY source ORDER BY count DESC LIMIT 20;'

c.execute(query)
count = 1

print "\\begin{table}[t]"
print "  \\centering"
print "   \\begin{tabular}{clr} \hline"
print"   \\hline"
print " Position & Source & Number \\\\ \hline " 
for row in c:
    print "  ", count, '&', row[0], '&', row[1], '\\\\'
    count+=1
print "  \\hline"
print "  \\end{tabular}"
print "  \\caption{Top 20 projects used as public data sources.}"
print "  \\label{tab:topTools}"
print "\\end{table}"

